import { DirectionalLight } from "./phongProgram";
import { UniformSet } from "./menu";

export function dirLightFromMenuParam(u: UniformSet): DirectionalLight{
    return {
        ambientIntensity: u.light_ambientIntensity,
        diffuseIntensity: u.light_diffuseIntensity,
        color: u.light_color,
        direction: u.light_direction
    };
}